-- SEED SharkSSL
-- Run the blocking HTTP GET in a separate thread
ba.thread.run(function()
    -- Create a HTTP object using the low level HTTP library.
   local http=require"httpc".create{shark=bd.getDefaultSharkClient()}
   -- Send request and required parameters
   -- See http://www.random.org for more information
   http:request{
      method="GET",
      url="https://www.random.org/integers/",
      query={
         num=1,
         col=1,
         min=1,
         max=1000000000,
         base=10,
         format="plain",
         rnd="new"
      }
   }
   if http:status() == 200 then
      local rnd=http:read"*a"
      if rnd then
         rnd=tonumber(rnd)
         if rnd then
            -- We received a number
            -- Seed SharkSSL
            ba.rndseed(rnd)
         end
      end
   end
   http:close()
   -- Seed using millisec clock.
   -- The HTTP response time creates a random delay.
   ba.rndseed(ba.clock())
end)
