<?lsp

local tinsert=table.insert
local quote=luasql.quotestr
local mailutil=require"mailutil"
local sqlutil=require"sqlutil"
local env,conn

response:include".header.lsp" -- Fetch global 'email'


local function add2db(val)
   if not env then
      env,conn = bd.openDb"bd"
      conn:setautocommit("IMMEDIATE",5000)
   end
   local name,email=val:match"([^<]*)<([^>]*)>.*"
   local firstname,lastname
   if name then
      name=bd.trim(name)
      if #name > 0 then
         firstname,lastname=name:match"(%g+)%s+(%g+)"
      end
   else
      email=val
   end
   if not firstname then firstname,lastname="","" end
   if not mailutil.findemail(conn,email) then
      mailutil.insertcontact(conn,0,email,firstname,lastname)
   end
end

local data=request:data()
if data.subindividual then
   local addr={to={},cc={},bcc={}}
   local function assemble()
      local toData
      local action={
         to=function(val)
            if toData then return false end
            toData=val
            return true
         end,
         recipient=function(val)
            if not toData or not addr[toData] then return false end
            val=bd.trim(val)
            add2db(val)
            tinsert(addr[toData],val)
            toData=nil
            return true
         end
      }
      return action
   end
   local action=assemble()
   for k,v in request:datapairs() do
      local a=action[k]
      if a and not a(v) then
         bd.closeDb(env,conn)
         response:sendredirect"prepare.lsp"
      end
   end
   if conn then
      conn:commit()
   end
   email.individual=addr
   email.list=nil
else
   local list={}
   for k,v in request:datapairs() do
      if k == "list" then
         tinsert(list,v)
      end
   end
   email.list=list
   email.individual=nil
end
local exptime=tonumber(data.exptime)
if exptime == 0 then exptime=nil end
email.settings={attach=data.attach=="yes",ssl=data.ssl and true, pwd=data.pwd and true,exptime=exptime,
   batchkey = data.batchkey and #data.batchkey > 0 and bd.mailbatchauth:authorize(request,"GET","") and data.batchkey or nil
}

bd.closeDb(env,conn)
response:sendredirect"editmail.lsp"
?>

