<?lsp

local bio = bd.baseio

if not app.userDbEmpty() then -- from .preload
   response:forward".noaccess.lsp"
   return
end

-- Cache data so it can be used by included pages
data = request:data()
if data.user and data.password then
   response:forward".SetAdmin.lsp"
   return
end

local email

title="Set Administrator Account"
-- Make ".header" load our Wikipedia help engine
headerdata=[[<script src="../help.js"></script>
<script>
if(top.location!=self.location) top.location=self.location.href;
$(function(){initHelp("setadmin","../");});
</script>
<style type="text/css">
.hlp {margin-left:20px}
#theform input{width:220px;}
</style>
]]
response:include".header.lsp"
?>
<div id="help"></div>
<h1>Set Administrator Account</h1>

<script>
function setPwd()
{
   var email = document.getElementById("email").value;
   var pos = email.indexOf("@");
   if(pos <= 0 || email.substr(pos+1).indexOf(".") < 0)
   {
      alert("Invalid E-Mail address.");
      return;
   }
   var user = document.getElementById("user").value;
   var password = document.getElementById("password").value;
   if(password != document.getElementById("password2").value)
   {
      alert("The password was not correctly confirmed.\nBe sure that the confirmation password matches exactly the new password.");
      return;
   }
   if(password.length < 6)
   {
     alert("The password you specified is too short.\nPassword must be 6 characters or more.");
     return;
   }
   document.getElementById("theform").submit();
}
</script>

<p>The FuguHub server is inaccessible until you set an administrator account. Please enter a username, password, and press the "Set administrator" button.</p>

<p><b style="color:black">Do <span style="color:red">not</span> forget the information you enter below or you will no longer be able to login and administer the server.</b></p>

<table width="90%"><tr>
<td><img src="/rtl/images/logo.gif" style="float:left"/></td>
<td>
<div class="roundedbox">
  <form id="theform" method="post" autocomplete="off">
    <table>
      <tr>
        <td><b>E-Mail:</b></td>
        <td>
       <input type="text" id="email" name="email" value="<?lsp=email or ""?>"/>
      </td>
      <td><img class='hlp' hlp='email' src='../images/questionmark.16.gif' alt=''/></td>
      </tr>
      <tr>
        <td><b>Admin&nbsp;username:</b></td>
        <td><input type="text" id="user" name="user" /></td>
        <td><img class='hlp' hlp='uname' src='../images/questionmark.16.gif' alt=''/></td>
      </tr>
      <tr>
        <td><b>Password:</b></td>
        <td><input type="password" id="password" name="password"/></td>
        <td></td>
      </tr>
      <tr>
        <td><b>Confirm&nbsp;password:</b></td>
        <td><input type="password" id="password2" /></td>
        <td></td>
      </tr>
    </table>
    <table><tr>
    <td>Enable password recovery (by E-Mail): <input style="width:20px" type="checkbox" name="recoverpassword" checked="checked"/></td>
    <td><img class='hlp' hlp='recoverpwd' src='../images/questionmark.16.gif' alt=''/></td>
    </tr></table>
  </form>
  <input onclick="setPwd()" type="button" value="Set Administrator"/>
</div>
</td>
</tr>
</table>

<p>FuguHub provides a secure environment that allows only authenticated and authorized users to access the integrated services.</p>

<?lsp response:include".footer.lsp" ?>
